# Pagination

Uiza's List method is [cursor-based paginated](https://jsonapi.org/profiles/ethanresnick/cursor-pagination/). The cursors, `next_page_token` and `prev_page_token`, are strings generated by Uiza to indicate where the set of results returned to you locates in the total list. They help you to navigate through the entire set of results and extract the slice you need.

You can replace `page_token` in your request with `next_page_token` to retrieve the objects fall after the list of results you received from the previous response. Similarly, `prev_page_token` returns you the objects fall before this cursor. An empty `next_page_token` will be returned if there is no object after this cursor, and an empty `prev_page_token` means there is no object before it. Leaving `page_token` blank in your request will return you the first portion of the entire list.

#### Arguments

> **`page_size`** *number*
>
> The maximum number of objects to be returned per call, between 1 and 20. The default `page_size` is 10.

> **`page_token`** *string*
>
> The pagination cursor of the result page to be retrieved. Use the `next_page_token` returned in the previous response to retrieve the objects fall after the list of results you received. Use the `prev_page_token` to retrieve the objects fall before.

{% code title="Sample Response" %}

```
{
 "data": [
  {
   "id": "22013d8a-d5fa-48f0-9a63-1f471ca9e81d",
   "name": "Demo application 1",
   "description": "AFF CUP",
   "ingest": {
     "url": "rtmp://f45dd07a0e-in.uizadev.io/transcode",
     "key": "live_TB62vHgxSY"
   },
   "playback": {
     "hls": "https://f45dd07a0e.uizadev.io/fmp4/22013d8a-d5fa-48f0-9a63-1f471ca9e81d/master.m3u8"
   },
   "region": "in-bangalore-1",
   "status": "ready",
   "broadcast": "offline",
   "created_at": "2019-12-11T02:47:04Z",
   "updated_at": "2019-12-16T02:53:30Z"
  }
 ],
 "next_page_token": "eyJjcmVhdGVkX2F0IjoxNTc2MDA4NjkxMDAwLCJpZCI6IjAwNzVmZjcyLWE0ODYtNDg0Ni05Y2NjLWY1ZWU4YTA0MmQ0NSJ9"
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uiza.io/getting-started/pagination.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
